# Get workspace collaborators

`GET https://api.airtable.com/v0/meta/workspaces/{workspaceId}`

Returns basic information on the workspace. Does not include deleted collaborators and only include [outstanding](https://airtable.com/developers/web/api/org-management-glossary.md#outstanding-invite) invites.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`workspacesAndBases:read`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-read)
- **User role:** Workspace read-only
- **Billing plans:** All plans

## Path parameters

- `workspaceId: string`

## Query parameters

- `include: array<"collaborators" | "inviteLinks">` — optional

  If specified, collaborators or inviteLinks key
  will be included in the response object. Otherwise they will be left out.

## Response format

- `id: string` — required

- `createdTime: string` — required

  A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

- `name: string` — required

- `workspaceRestrictions: object` — required

  [Sharing restrictions settings](https://support.airtable.com/docs/workspace-sharing-restrictions) enforced on the workspace.

  - `inviteCreationRestriction: "unrestricted" | "onlyOwners"` — required

  - `shareCreationRestriction: "unrestricted" | "onlyOwners"` — required

- `collaborators: object` — optional

  Please use **individualCollaborators** and **groupCollaborators** instead.

  - `baseCollaborators: array<Base-individual-collaborator>` — required

  - `workspaceCollaborators: array<Individual-Collaborator>` — required

- `groupCollaborators: object` — optional

  Groups whose members are collaborating on this workspace.

  **Note:** Group cannot be ***owner*** of a workspace.

  - `baseCollaborators: array<Base-group-collaborator>` — required

  - `workspaceCollaborators: array<Group-Collaborator>` — required

- `individualCollaborators: object` — optional

  Individual users that are explicitly added as collaborators on the workspace.
  Does not include users that only have access via membership in a group that has been added as a collaborator.

  - `baseCollaborators: array<Base-individual-collaborator>` — required

  - `workspaceCollaborators: array<Individual-Collaborator>` — required

- `baseIds: array<string>` — required

- `inviteLinks: object` — optional

  - `baseInviteLinks: array<Base-invite-link>` — required

  - `workspaceInviteLinks: array<Invite-link>` — required

### Example — Success response

```sh
curl "https://api.airtable.com/v0/meta/workspaces/{workspaceId}" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "baseIds": [
    "appLkNDICXNqxSDhG",
    "appSW9R5uCNmRmfl6"
  ],
  "collaborators": {
    "baseCollaborators": [
      {
        "baseId": "appLkNDICXNqxSDhG",
        "createdTime": "2019-01-03T12:33:12.421Z",
        "email": "foo@bam.com",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "permissionLevel": "create",
        "userId": "usrsOEchC9xuwRgKk"
      }
    ],
    "workspaceCollaborators": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "email": "foo@bar.com",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "permissionLevel": "owner",
        "userId": "usrL2PNC5o3H4lBEi"
      }
    ]
  },
  "createdTime": "2019-01-03T12:33:12.421Z",
  "groupCollaborators": {
    "baseCollaborators": [
      {
        "baseId": "appLkNDICXNqxSDhG",
        "createdTime": "2019-01-03T12:33:12.421Z",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "groupId": "ugpR8ZT9KtIgp8Bh3",
        "name": "group 2",
        "permissionLevel": "create"
      }
    ],
    "workspaceCollaborators": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "groupId": "ugp1mKGb3KXUyQfOZ",
        "name": "group 1",
        "permissionLevel": "edit"
      }
    ]
  },
  "id": "wspmhESAta6clCCwF",
  "individualCollaborators": {
    "baseCollaborators": [
      {
        "baseId": "appLkNDICXNqxSDhG",
        "createdTime": "2019-01-03T12:33:12.421Z",
        "email": "foo@bam.com",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "permissionLevel": "create",
        "userId": "usrsOEchC9xuwRgKk"
      }
    ],
    "workspaceCollaborators": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "email": "foo@bar.com",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "permissionLevel": "owner",
        "userId": "usrL2PNC5o3H4lBEi"
      }
    ]
  },
  "inviteLinks": {
    "baseInviteLinks": [
      {
        "baseId": "appSW9R5uCNmRmfl6",
        "createdTime": "2019-01-03T12:33:12.421Z",
        "id": "invJiqaXmPqq6Ec87",
        "invitedEmail": null,
        "permissionLevel": "read",
        "referredByUserId": "usrsOEchC9xuwRgKk",
        "restrictedToEmailDomains": [],
        "type": "multiUse"
      }
    ],
    "workspaceInviteLinks": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "id": "invJiqaXmPqq6Ec87",
        "invitedEmail": "bam@bam.com",
        "permissionLevel": "owner",
        "referredByUserId": "usrL2PNC5o3H4lBEi",
        "restrictedToEmailDomains": [
          "foobar.com"
        ],
        "type": "singleUse"
      }
    ]
  },
  "name": "my first workspace",
  "workspaceRestrictions": {
    "inviteCreationRestriction": "onlyOwners",
    "shareCreationRestriction": "unrestricted"
  }
}
```
